--[[
Spezi to hide the unload effect for some fill types

Author: 	Ifko[nator]
Version:	1.0 - intial release
Date:		26.10.2016

History:
			v1.0 @ 26.10.2016 - intial release in FS 17
]]

EffectFix = {};

function EffectFix.prerequisitesPresent(specializations)
	return SpecializationUtil.hasSpecialization(Pipe, specializations);
end;

function EffectFix:load(savegame)
end;

function EffectFix:delete()
end;

function EffectFix:readStream(streamId, connection)
end;

function EffectFix:writeStream(streamId, connection)
end;

function EffectFix:mouseEvent(posX, posY, isDown, isUp, button)
end;

function EffectFix:keyEvent(unicode, sym, modifier, isDown)
end;

function EffectFix:update(dt)
end;

function EffectFix:updateTick(dt)
	if self.isServer and self.hasPipe and self:getIsActive() and self.pipeStateIsUnloading[self.pipeCurrentState] then
		local stopEffect = false;
		
		for i, fillUnit in pairs(self.fillUnits) do
			--renderText(0.5, 0.5, 0.02, "fill type = " .. Utils.getNoNil(FillUtil.fillTypeIntToName[fillUnit.currentFillType], "Not found!"));
			
			stopEffect = FillUtil.fillTypeIntToName[fillUnit.currentFillType] == "sugarBeet"
				or FillUtil.fillTypeIntToName[fillUnit.currentFillType] == "potato"
				or FillUtil.fillTypeIntToName[fillUnit.currentFillType] == "grass_windrow"
				or FillUtil.fillTypeIntToName[fillUnit.currentFillType] == "dryGrass_windrow"
				or FillUtil.fillTypeIntToName[fillUnit.currentFillType] == "straw"
				or FillUtil.fillTypeIntToName[fillUnit.currentFillType] == "chaff"
				or FillUtil.fillTypeIntToName[fillUnit.currentFillType] == "woodChips"
			;
		end;
		
		if stopEffect then
			EffectManager:stopEffects(self.pipeEffects);
		end;
	end;
end;

function EffectFix:draw()
end;

function EffectFix:onAttach()
end;

function EffectFix:onDetach()
end;